[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index] [List Home]
[cross-project-issues-dev] Plans to remove javax.xml from the org.eclipse.e4.rcp feature

Hi,

For Eclipse 4.7, we are planning to remove javax.xml from the
org.eclipse.e4.rcp feature, as this package is provided by JavaSE 1.7
and the Eclipse Platform requires Java 1.8.

If you have a dependency to this bundle and if you are using the
org.eclipse.e4.rcp you need to adjust require-bundle: javax.xml to
import-package in the corresponding MANIFEST.MF.

Please comment in https://bugs.eclipse.org/bugs/show_bug.cgi?id=467028
if you see any issues with this change.

Best regards, Lars

-- 
Eclipse Platform UI and e4 project co-lead
CEO vogella GmbH

Haindaalwisch 17a, 22395 Hamburg
Amtsgericht Hamburg: HRB 127058
GeschÃftsfÃhrer: Lars Vogel, Jennifer Nerlich de Vogel
USt-IdNr.: DE284122352
Fax (040) 5247 6322, Email: lars.vogel@xxxxxxxxxxx, Web: http://www.vogella.com